/**
 * 液位燃气一体化设备配置接口
 */
import request from '@/utils/request'
// 燃气配置查询
export function getLiquidGasConfigList(params) {
  return request({
    url: 'busConfig/liquidGasConfig/list',
    method: 'get',
    params
  })
}

// 修改燃气配置
export function editLiquidGasConfig(params) {
  return request({
    url: 'busConfig/liquidGasConfig/config',
    method: 'post',
    params
  })
}

// 批量导入
export function batchImportLiquidGasConfig(fileobj) {
  const param = new FormData()
  param.append('file', fileobj)
  return request({
    url: 'busConfig/gasLiquidConfig/batchImport',
    method: 'post',
    headers: { 'Content-Type': 'multipart/form-data' },
    data: param
  })
}
// 批量导出
export function batchExportLiquidGasConfig(params) {
  return request({
    url: 'busConfig/liquidGasConfig/batchExport',
    method: 'get',
    params,
    responseType: 'blob' // 这一步也很关键，一定要加上 responseType 值为 blob
  })
}
